Bug 1880785 - CredentialsRequest missing description in `oc explain`
Summary: CredentialsRequest missing description in `oc explain`
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Credential Operator
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.7.0
Assignee: Akhil Rane
QA Contact: wang lin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-20 00:05 UTC by Jason Boxman
Modified: 2021-02-24 15:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:18:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cloud-credential-operator pull 270 0 None closed Bug 1880785: Fix CredentialsRequest missing description in 'oc explain' 2021-01-05 21:54:40 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:20:53 UTC

Description Jason Boxman 2020-09-20 00:05:38 UTC
Description of problem:

From `oc explain` I can't learn anything about what this CRD is for.


How reproducible:

Always.


Steps to Reproduce:

Run `oc explain CredentialsRequest`

Actual results:

KIND:     CredentialsRequest
VERSION:  cloudcredential.openshift.io/v1

DESCRIPTION:
     <empty>


Expected results:

A description of the CRD.

Additional info:

Comment 4 Akhil Rane 2020-11-19 20:54:01 UTC
Fix for this has merged https://github.com/openshift/cloud-credential-operator/pull/270

Comment 5 wang lin 2020-11-20 03:33:47 UTC
The bug has fixed.
test payload: registry.svc.ci.openshift.org/ocp/release:4.7.0-0.nightly-2020-11-18-203317

$ oc explain CredentialsRequest
KIND:     CredentialsRequest
VERSION:  cloudcredential.openshift.io/v1

DESCRIPTION:
     CredentialsRequest is the Schema for the credentialsrequests API

FIELDS:
   apiVersion	<string>
     APIVersion defines the versioned schema of this representation of an
     object. Servers should convert recognized schemas to the latest internal
     value, and may reject unrecognized values. More info:
     https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

   kind	<string>
     Kind is a string value representing the REST resource this object
     represents. Servers may infer this from the endpoint the client submits
     requests to. Cannot be updated. In CamelCase. More info:
     https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

   metadata	<Object>
     Standard object's metadata. More info:
     https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

   spec	<Object> -required-
     CredentialsRequestSpec defines the desired state of CredentialsRequest

   status	<Object>
     CredentialsRequestStatus defines the observed state of CredentialsRequest

Comment 8 errata-xmlrpc 2021-02-24 15:18:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.